README.Mosaic-2.6-l10n+.e ------------------------- 28, Sep, 1995

   This patch kit has been developed for enhancement of NCSA X
Mosaic version 2.6, i.e. localization, parsing a part of HTML
version 3 and netscape HTML extension, and others.  We follow
the GNU General Public License distribution rules (this patch
kit includes GPL documents, please refer them).
   For those who use HTML version 3 functions must comply
following restrictions:

  ***              if you think a HACKER is a CRIMER,             ***
  ***       you are forbidden to make with `-DHTML3' option,      ***
  ***and also to use binaries which are made with `-DHTML3' option***

   Followings are explanations about HACKER and CRACKER meanings
in a jargon file (version 3.2).  You should understand what a
HACKER means before making with the `-DHTML3' option or using
binaries with HTML 3 enhancement.

--------------------------------------------------------------------
:hacker: n.  [originally, someone who makes furniture with an
   axe] 1. A person who enjoys exploring the details of programmable
   systems and how to stretch their capabilities, as opposed to most
   users, who prefer to learn only the minimum necessary.  2. One who
   programs enthusiastically (even obsessively) or who enjoys
   programming rather than just theorizing about programming.  3. A
   person capable of appreciating {hack value}.  4. A person who is
   good at programming quickly.  5. An expert at a particular program,
   or one who frequently does work using it or on it; as in `a UNIX
   hacker'.  (Definitions 1 through 5 are correlated, and people who
   fit them congregate.)  6. An expert or enthusiast of any kind.  One
   might be an astronomy hacker, for example.  7. One who enjoys the
   intellectual challenge of creatively overcoming or circumventing
   limitations.  8. [deprecated] A malicious meddler who tries to
   discover sensitive information by poking around.  Hence `password
   hacker', `network hacker'.  The correct term is {cracker}.

   The term `hacker' also tends to connote membership in the global
   community defined by the net (see {network, the} and
   {Internet address}).  It also implies that the person described
   is seen to subscribe to some version of the hacker ethic (see
   {hacker ethic, the}).

   It is better to be described as a hacker by others than to describe
   oneself that way.  Hackers consider themselves something of an
   elite (a meritocracy based on ability), though one to which new
   members are gladly welcome.  There is thus a certain ego
   satisfaction to be had in identifying yourself as a hacker (but if
   you claim to be one and are not, you'll quickly be labeled
   {bogus}).  See also {wannabee}.

:cracker: n.  One who breaks security on a system.  Coined
   ca. 1985 by hackers in defense against journalistic misuse of
   {hacker} (q.v., sense 8).  An earlier attempt to establish
   `worm' in this sense around 1981--82 on Usenet was largely a
   failure.

   Use of both these neologisms reflects a strong revulsion against
   the theft and vandalism perpetrated by cracking rings.  While it is
   expected that any real hacker will have done some playful cracking
   and knows many of the basic techniques, anyone past {larval
   stage} is expected to have outgrown the desire to do so except for
   immediate, benign, practical reasons (for example, if it's
   necessary to get around some security in order to get some work
   done).

   Thus, there is far less overlap between hackerdom and crackerdom
   than the {mundane} reader misled by sensationalistic journalism
   might expect.  Crackers tend to gather in small, tight-knit, very
   secretive groups that have little overlap with the huge, open
   poly-culture this lexicon describes; though crackers often like to
   describe *themselves* as hackers, most true hackers consider
   them a separate and lower form of life.

   Ethical considerations aside, hackers figure that anyone who can't
   imagine a more interesting way to play with their computers than
   breaking into someone else's has to be pretty {losing}.  Some
   other reasons crackers are looked down on are discussed in the
   entries on {cracking} and {phreaking}.  See also
   {samurai}, {dark-side hacker}, and {hacker ethic,
   the}.  For a portrait of the typical teenage cracker, see
   {warez}.
--------------------------------------------------------------------

	+	+	+	+	+	+	+

   New features which are added on the original NCSA X Mosaic
version 2.6 are as follows :

--------[List of Enhanced Functions]---------------------------------

+ Localization Enhancement(*1), including super-, sub-script /
  table.
	o Should be compiled with `-DL10N' option.
	o Cannot print out the table part.  This is an original
	  restriction.

+ Parsing of some new HTML version 3 alignments.
	o Should be compiled with `-DHTML3' option.
	o Parse RIGHT / CENTER / LEFT alignment in <P> / <Hn> /
	  <BR> tags.
	o Incompatible layout may appear, because this patch
	  updates its coordinates after formatting in HTML 2
	  level.

+ Parsing of some netscape HTML extension.
	o Should be compiled with `-DNETSCAPE_EXT' option.
	o Parse color indexes in <BODY> tag without BACKGROUND
	  attributes.
	o Parse font size indexes temporarily (<FONT SIZE=n> /
	  <FONT SIZE=+n> / <FONT SIZE=-n> / <BASEFONT SIZE=n>,,).
	o Parse font color indexes (<FONT COLOR="#ff00cc">).
	o Parse <BLINK> tags temporarily (reverse display).
	o Parse <NOBR> tags.
	o Parse BORDER attributes in <IMAGE> tag, temporarily.
	o Parse <CENTER> tages (this function is not available,
	  when compiled with no `-DHTML3' option).

+ URL Keyword of a Current Page Can Be Used in Document Menu
  File.
	o Should be compiled with `-DDOCMENU_EXTENDER' option.
	o Set a menu file name on a X resource,
	  `Mosaic*documentsMenuSpecfile' or an environment
	  variable, `MOSAIC_DOCUMENTS_MENU_SPECFILE'.
	o Replace `[CURRENT]' keywords into the current URL.
	  If you want to use a DeleGate CCILIB, you should set
	  followings in your document menu file, for example.

                View with Delegate + CIIlib(10080)
                http://foo.bar.co.jp:10080/-_-[CURRENT]

	  If you see the `http://hogehoge/index.html' page,
	  Mosaic translates it into
	  `http://foo.bar.co.jp:10080/-_-http://hogehoge/index.html'.

+ Add an environment variable, `no_proxy'(*2).
	o Set direct connecting hosts on an environment variable
	  `no_proxy' or X resource `Mosaic*noProxy'.

+ `Pragma:no-cache' Can Be Sent to Proxy Server with Cache Files.
	o If you click a link with control key down, your proxy
	  server reloads files at the link, and replace caches.
	  (Although a previous patch has used shift key for this
	  function, it has been changed because a present Mosaic
	  uses the shift keey for save function into a local
	  disk.)

+ Apply KINSOKU Rules for Japanese Documents, at the beginning
  and end of lines.
	o Set KINSOKU characters on X resources,
	  `Mosaic*kinsokuBol' / `Mosaic*kinsokuEol'
	o Resource names have been changed from the previos
	  L10N+ patch.

+ Ignore line breaks and spaces, between 2byte characters.
	o If you want to insert spaces, set `False' on X resource
	  `Mosaic*ignoreSpaceBetweenJapanese', default setting
	  is `False'.
	o If you want to insert line breaks, set `False' on X
	  resource `Mosaic*ignoreLFBetweenJapanese', default
	  setting is `True'.

+ Decode Network News Articles with MIME Encoded Headers /
  Encode Headers of Your Network News Aritcles and E-Mails by
  the MIME Method.
	o Should be compiled with `-DMIME_HEAD' option.
	o libmms.a library should be installed, in MimeHead
	  package(*3) before compiling Mosaic.
	o A X resource `Mosaic*mailFilterCommand' setting
	  (`nkf -j | toMime') is not necessary (the previous
	  patch includes this setting).
	o A MIME encoding part is for Japanization, not
	  for localization. (Please tell us how to implement
	  localization / internationalization ^^;)

+ Previous Edited Files Can Be Inserted as a Mail Body / A
  Signature File Can Be Inserted Also(*4).
	o Set an signature file name on X resource
	  `Mosaic*signature'.

+ Add view modes on reading network news(*4)
	o Should be compiled with `-DNEWS_SELECT' option.
	o Add a detail header browsing mode.
	o Add a HTML body browsing mode.

+ Globe Animation Located Upper Right Side, is Freely Changable.
	o Set an index file name (absolute path) on X resource
	  `Mosaic*twirlIconsIndex'.
	o In the index file, set image file names (absolute path
	  or relative path from the index file directory) in
	  appearance order.
	o GIF / XBM / XPM / JPEG formats, and a transparent
	  attribute are available.
	o In details, refer doc/README.iconReplaceKit.j file
	  (sorry, only Japanese version is available)
	o Sample data(icons/techan/, icons/abareika/) are
	  included in this patch kit, maybe useful for
	  understanding how to write a index file.

+ Unnecessary Machine Information is Not Sent to HTTP Servers.
	o Should be compiled with `-DSECURE' option.

+ Timeout Length Can Be Set.
	o Set timeout length in second, on X resource
	  `Mosaic*connectTimeout'.

+ Ignore Tables with Many Troubles ^^;.
	o Should be compiled with `-DDISABLE_TABLE' option.
	o If you want to ignore tables, set `True' on X resource
	  `Mosaic*disableTable', default setting is `True'.
	o Select a switch in the Options menu, and you can use
	  both modes interactively.

+ A File Attributes with CCI Ports Number Can Be Set.
	o Set decimal number of .mosaiccciport file attributes
	  on X resource `Mosaic*cciPortFileMode'
	o Default setting is `384' (octed = 0600, forbidden
	  users except owner to read and write).

+ Display Japanese Texts on Text Fields, when using NEC EWS4800.
	o Should be compiled with `-DMOTIF_I18N' option.
	  (maybe work on other workstations)

+ Display Japanese Texts on Text Fields, when using IXI Motif 1.2.
	o Should be compiled with `-DMOTIF_I18N -DIXIMOTIF1_2'
	  option.
	o This works on (SunOS4.1.3(JLE) or Solaris2.4) + IXI
	  Motif1.2.4.
	o If you use Japanese Solaris2.4, /usr/ccs/lib/libgen.a
	  has some bugs and Mosaic may hang up on making
	  FileSelectionBoxWidget.
	  (This is registered as BugID:1191772.  Please ask to
	  a support center)

+ Add Audio Annotation on NEC EWS4800 / SONY NEWS(*6)
	o Should be compiled a voice recording program,
	  `record', by `make record' typing.  This is in the
	  `record/' path in this patch kit.

+ Change X resource, `Mosaic*xtermCommand' as `kterm'.

--------[List of Fixed Bugs]---------------------------------------

+ Display with Correct Colors on TrueColor(*7) / DirectColor
  types and 4 plane X server.

+ Correct Access Time is Saved on a Global History File(*8)
	o Should be compiled with `-D_USE_REAL_ACCESS_DATE'
	  option.

+ Input Password without Hide, If You Cannot Use Password Well.
	o Should be compiled with `-DNAKED_PASSWORD' option.

+ Fix L10N SJIS into EUC Code Conversion.

+ Fix L10N PostScript Font Setting.

+ Fix Other Bugs (not recorded them ;-)

--------[List of Not Testing Functions]--------------------------

? Access https:/hogehoge/ by using SSL(Secure Sockets Layer)(*9)
	o Should be compiled with `-DUSE_SSL' option.
	o I did not see it works well ;-).

-----------------------------------------------------------------

   Main contributers of this patch are :

OHNO Tatoshi		ohno@bs1.dnes.nec.co.jp
KAWATO Katsushi		kawato@ats.nis.nec.co.jp
KIMURA Masanobu		mkimura@s3.gsd.mt.nec.co.jp
KURASHIMA Akihisa	kura@mmp.cl.nec.co.jp
KOGA Yoichiro		y-koga@ccs.mt.nec.co.jp
SAKAMOTO Shizuo		sas@pat.cl.nec.co.jp
TAKINAKA Toru		takinaka@asd3.sdd2.mt.nec.co.jp
NAKAGAWA Yoshihisa	y-nakaga@ccs.mt.nec.co.jp

   This patch uses following patches and libraries.  Special
thanks to these contributers.  (Mr. or Dr. are omitted)

(*1)L10N Patch for NCSA Mosaic 2.4(http://www.ntt.jp/Mosaic-l10n/README.html)
TAKADA Toshihiro	takada@mdma.brl.ntt.jp

(*2)No_proxy Patch
Ari LUOTONEN	luotonen@dxcern.cern.ch

(*3)Mimehead Library
SATO Yutaka	ysato@etl.go.jp

(*4)NEWS_SELECT Patch
TANINAKA	taninaka@alacarte.co.jp

(*5)IXI Motif 1.2 Japanese Text Display Patch for NCSA Mosaic 2.4 + L10N
SHIOUCHI Masatoshi	shiouchi@flab.fujitsu.co.jp

(*6)L10N Patch and Audio Annotation Command for SONY NEWS.
SATO Sumihiro		hiro@garuda.ee.uec.ac.jp

(*7)Fix Mosaic Bugs for TrueColor X Server.
ARAI		mori@gaken.dnp.co.jp

(*8)Correct Access Time Patch in A Global History File.
NAKAGAWA Itaru		itaru@ulis.ac.jp

(*9)SSLeay SSL(Secure Sockets Layer) Library and Patch for NCSA
    X Mosaic version 2.5.(http://www.psy.uq.oz.au/~ftp/Crypto/)
Eric YOUNG		eay@mincom.oz.au
Tim HUDSON		tjh@mincom.oz.au


  On the infotalk mailing list and network newsgroups,
i.e. news:fj.infosystems.www and so on, we have various
comments, bug reports, and patches with pleasure :-).

	+	+	+	+	+	+	+

			NEC Information Technology Research Labs
						SAKAMOTO, Shizuo
					    sas@pat.cl.nec.co.jp

	(*) I don't accept any questions about this patch kit.
	    They may be ignored, sorry.  Please post any questions
	    to news:fj.net.infosystems.www.browsers or
	    news:comp.infosystems.www.browsers.x.
README.Mosaic-2.6-l10n+.e -------------------------------------------
